Bug 250001 - sysutils/openzfs-kmod cc error - use of undeclared identifier 'FPU_KERN_NORMAL'
Summary: sysutils/openzfs-kmod cc error - use of undeclared identifier 'FPU_KERN_NORMAL'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Ryan Moeller
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-30 03:34 UTC by tleavitt
Modified: 2020-10-06 20:28 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (freqlabs)


Attachments
build log (135.16 KB, text/plain)
2020-09-30 03:34 UTC, tleavitt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tleavitt 2020-09-30 03:34:20 UTC
Created attachment 218428 [details]
build log

compile error on 12.1-RELEASE on amd64 on update to 2020092900 (no similar problem w/ 2020082100 or 2020091600)

error: implicit declaration of function 'fpu_kern_thread' is invalid in C99 [-Werror,-Wimplicit-function-declaration]
                fpu_kern_thread(FPU_KERN_NORMAL);
                ^
/wrkdirs/usr/ports/sysutils/openzfs-kmod/work/zfs-4c5159cc5/module/os/freebsd/spl/spl_taskq.c:174:3: error: this function declaration is not a prototype [-Werror,-Wstrict-prototypes]
/wrkdirs/usr/ports/sysutils/openzfs-kmod/work/zfs-4c5159cc5/module/os/freebsd/spl/spl_taskq.c:174:19: error: use of undeclared identifier 'FPU_KERN_NORMAL'
                fpu_kern_thread(FPU_KERN_NORMAL);
                                ^
3 errors generated.
*** Error code 1

poudriere build log attached

FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1)
Target: x86_64-unknown-freebsd12.1
Thread model: posix
InstalledDir: /usr/bin
Comment 1 Ryan Moeller freebsd_committer 2020-09-30 17:17:34 UTC
https://github.com/openzfs/zfs/pull/11005
Comment 2 commit-hook freebsd_committer 2020-10-05 15:54:52 UTC
A commit references this bug:

Author: freqlabs
Date: Mon Oct  5 15:53:50 UTC 2020
New revision: 551500
URL: https://svnweb.freebsd.org/changeset/ports/551500

Log:
  sysutils/openzfs*: Update to fix 12.1-REL build

  Bump to 79f0935fa for header changes to fix the package build on FreeBSD 12.1

  PR:		ports/250001
  Reported by:	tleavitt@alumni.usc.edu
  Reviewed by:	wg
  Approved by:	wg (ports)
  Sponsored by:	iXsystems, Inc.
  Differential Revision:	https://reviews.freebsd.org/D26656

Changes:
  head/sysutils/openzfs/Makefile
  head/sysutils/openzfs/distinfo
  head/sysutils/openzfs/pkg-plist
  head/sysutils/openzfs-kmod/Makefile
  head/sysutils/openzfs-kmod/distinfo
Comment 3 commit-hook freebsd_committer 2020-10-06 20:28:05 UTC
A commit references this bug:

Author: freqlabs
Date: Tue Oct  6 20:27:38 UTC 2020
New revision: 551593
URL: https://svnweb.freebsd.org/changeset/ports/551593

Log:
  MFH: r551500

  sysutils/openzfs*: Update to fix 12.1-REL build

  Bump to 79f0935fa for header changes to fix the package build on FreeBSD 12.1

  PR:		ports/250001
  Reported by:	tleavitt@alumni.usc.edu
  Reviewed by:	wg
  Approved by:	wg (ports)
  Sponsored by:	iXsystems, Inc.
  Differential Revision:	https://reviews.freebsd.org/D26656

  Approved by:	ports-secteam (implicit, build fix)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/sysutils/openzfs/Makefile
  branches/2020Q4/sysutils/openzfs/distinfo
  branches/2020Q4/sysutils/openzfs/pkg-plist
  branches/2020Q4/sysutils/openzfs-kmod/Makefile
  branches/2020Q4/sysutils/openzfs-kmod/distinfo